Package org.silverpeas.components.infoletter.model

## Class InfoLetterTemplateContributionWrapper

- java.lang.Object
- - org.silverpeas.components.infoletter.model.InfoLetterTemplateContributionWrapper

- All Implemented Interfaces:
    `Serializable`, `org.silverpeas.core.contribution.model.Contribution`, `org.silverpeas.core.Instance<org.silverpeas.core.contribution.model.Contribution>`, `org.silverpeas.core.Nameable`, `org.silverpeas.core.security.Securable`, `org.silverpeas.core.SilverpeasResource`

      public class InfoLetterTemplateContributionWrapper
      extends Object
      implements org.silverpeas.core.contribution.model.Contribution

  Author:
    silveryocha
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InfoLetterTemplateContributionWrapper​(InfoLetter letter)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getContributionType()` |
    `Date` | `getCreationDate()` |
    `org.silverpeas.core.admin.user.model.User` | `getCreator()` |
    `org.silverpeas.core.contribution.model.ContributionIdentifier` | `getIdentifier()` |
    `Date` | `getLastUpdateDate()` |
    `org.silverpeas.core.admin.user.model.User` | `getLastUpdater()` |
    `String` | `getTitle()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.silverpeas.core.contribution.model.Contribution

      `canBeAccessedBy, getDescription, getModel, getName, getResourcePath, isIndexable`

    - ### Methods inherited from interface org.silverpeas.core.Instance

      `getParent`

    - ### Methods inherited from interface org.silverpeas.core.security.Securable

      `canBeDeletedBy, canBeFiledInBy, canBeModifiedBy`

- - ### Constructor Detail

    - #### InfoLetterTemplateContributionWrapper

          public InfoLetterTemplateContributionWrapper​(InfoLetter letter)

  - ### Method Detail

    - #### getIdentifier

          public org.silverpeas.core.contribution.model.ContributionIdentifier getIdentifier()

      Specified by:
        `getIdentifier` in interface `org.silverpeas.core.contribution.model.Contribution`
      Specified by:
        `getIdentifier` in interface `org.silverpeas.core.SilverpeasResource`

    - #### getTitle

          public String getTitle()

      Specified by:
        `getTitle` in interface `org.silverpeas.core.contribution.model.Contribution`

    - #### getContributionType

          public String getContributionType()

      Specified by:
        `getContributionType` in interface `org.silverpeas.core.contribution.model.Contribution`

    - #### getCreationDate

          public Date getCreationDate()

      Specified by:
        `getCreationDate` in interface `org.silverpeas.core.SilverpeasResource`

    - #### getLastUpdateDate

          public Date getLastUpdateDate()

      Specified by:
        `getLastUpdateDate` in interface `org.silverpeas.core.SilverpeasResource`

    - #### getCreator

          public org.silverpeas.core.admin.user.model.User getCreator()

      Specified by:
        `getCreator` in interface `org.silverpeas.core.SilverpeasResource`

    - #### getLastUpdater

          public org.silverpeas.core.admin.user.model.User getLastUpdater()

      Specified by:
        `getLastUpdater` in interface `org.silverpeas.core.SilverpeasResource`